public class NombreAleatoireEntierEnConsole {

/////////////////////////////////////////////////

/* Lecture au clavier et retour d'un entier    */
/* Saisie par essais successifs                */

  static int nombreAleatoire(int n) {
    double v;
    v = (n+1)*Math.random();
    return (int) (v);
  }

/////////////////////////////////////////////////

/* Programme principal                         */
/* Choix de la valeur limite des nombres       */
/* aleatoires generes : n                      */
/* Choix du nombre de nombres aleatoires       */
/* generes : nb                                */
/* Generation des nb nombres aleatoires        */
/* et calcul de leur moyenne                   */
/* Affichage de cette moyenne                  */

  public static void main(String [] args) {
    Console.setTitle("NombreAleatoireEntier");
    int n;
    int nb;
    int i;
    int rnd;
    long cpt;
    Console.afficher("SVP, n  : ");
    n = Console.saisirInt();
    Console.afficher("SVP, nb : ");
    nb = Console.saisirInt();
    cpt = 0;
    for ( i = 0 ; i < nb ; i = i+1 ) {
      rnd = nombreAleatoire(n);
      cpt = cpt+rnd; }
    Console.afficherln("Moyenne : ",(double) cpt/nb);
  }
}